Subject: bug#62329: 30.0.50; Error in TRAMP due to variable aliasing

From: Michael Albinus <[email-masked]>
Date: Tue, 21 Mar 2023 14:08:54 +0100

Eshel Yaron <[email-masked]> writes:

Hi Eshel,

> The recent rename of tramp-use-ssh-controlmaster-options in commit
> 1c39347d585 seems to cause some problems, namely Emacs now fails with an
> error when trying to load tramp-sh (which happens automatically in some
> TRAMP flows) if tramp is already loaded and compilation-mode-hook ran.
> To reproduce:
>
> 1. emacs -Q
> 2. (require 'tramp)
>    This further requires tramp-integration which adds a function
>    called tramp-compile-disable-ssh-controlmaster-options to
>    compilation-mode-hook
> 3. Do something that runs compilation-mode-hook, e.g. M-x compile with
>    some dummy compilation command like "true".
> 4. Try to load tramp-sh with e.g. (require 'tramp-sh)
>    Emacs fails with an error saying:
>    "Don’t know how to make a buffer-local variable an alias:
>    tramp-use-connection-share".
>    AFAIU This happens because at this point tramp-use-connection-share is
>    already a localized symbol and tramp-sh tries to call defvaralias on it.

Thanks for the report. This is the same problem as reported in
bug#62295, I'll merge them.

I hope to find a fix, soon.

> Thanks,
> Eshel

Best regards, Michael.